Subject: Re: CVS and CR, LF
From: David Koski <[email-masked]>
To: <[email-masked]>
Cc: Andrew Markebo <[email-masked]>
Date: Sat, 22 Dec 2001 19:20:12 -0800

On 22 Dec 2001 10:15:51 +0100
Andrew Markebo <[email-masked]> wrote:

> Which cvs do you use (cygwin?) and how do you connect to the repository? 

cvs --version:

Concurrent Versions System (CVS) 1.11 (Client/Server)

uname -a:

CYGWIN_98-4.10 PRO2 1.3.5(0.47/3/2) 2001-11-13 23:16 i686 unknown

Environment CVS_RSH=ssh first.  Then cvs commands are executed either from the
DOS prompt or from bash.  The results are the same.

> Doesn't the windows/dos cvs'es convert CRLF's to LF (or what it is ;-)
> When we use wincvs around here, talking to a repository-server on
> unix, I think it is taken care of automagically.

I suspect the CR is filtered out somewhere.  They are definately in the
repository.  The files were created on a Samba share using the Borland IDE which
produces CRLF's, before importing and commiting with a Linux client to a Linux
server.  Linux's CVS works perfectly and has no problem with the CR's.  It is
only Cygwin that has the problem with the existing repository.

> Hmm could it be the mounts of the filesystems you edit the files on?
> If you mount it as textmode, cygwin cvs might just see the LF's.. 

I will have to look into mounts.  It is a default install but setting
CYGWIN=binmode doesn't help.

>         /Andy
> 
> / David Koski <[email-masked]> wrote:
> | Hello,
> | 
> | I have been using CVS successfully to maintain source code on a Linux based
CVS
> | server.  The files have been edited with DOS applications and have CR, LF
record
> | terminators.  The local source is on a Linux Samba share so it has been easy
to
> 
> -- 
>  The eye of the beholder rests on the beauty!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/